Package org.apache.tomcat.util.net.openssl

# Enum Class OpenSSLStatus.Name

java.lang.Object
java.lang.Enum<OpenSSLStatus.Name>
org.apache.tomcat.util.net.openssl.OpenSSLStatus.Name

All Implemented Interfaces:
  `Serializable`, `Comparable<OpenSSLStatus.Name>`, `Constable`

Enclosing class:
  `OpenSSLStatus`

public static enum OpenSSLStatus.Name extends Enum<OpenSSLStatus.Name>
OpenSSL library variant that has been identified

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BORINGSSL`
`LIBRESSL`
`OPENSSL`
`OPENSSL3`
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static OpenSSLStatus.Name`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static OpenSSLStatus.Name[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### OPENSSL

public static final OpenSSLStatus.Name OPENSSL

### OPENSSL3

public static final OpenSSLStatus.Name OPENSSL3

### LIBRESSL

public static final OpenSSLStatus.Name LIBRESSL

### BORINGSSL

public static final OpenSSLStatus.Name BORINGSSL

### UNKNOWN

public static final OpenSSLStatus.Name UNKNOWN

## Method Details

### values

public static OpenSSLStatus.Name[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static OpenSSLStatus.Name valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null